Bug 461475 - Inconsistent time formats on web pages
Inconsistent time formats on web pages
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Shannon Hughes
Preethi Thomas
Depends On:
Blocks: 456985 461291 473996
  Show dependency treegraph
Reported: 2008-09-08 09:07 EDT by Issue Tracker
Modified: 2010-10-23 00:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 16:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
system time display - English (158.73 KB, image/png)
2008-12-12 11:48 EST, Preethi Thomas
no flags Details
system time display - French (159.85 KB, image/png)
2008-12-12 11:49 EST, Preethi Thomas
no flags Details
system time display - German (158.31 KB, image/png)
2008-12-12 11:50 EST, Preethi Thomas
no flags Details
Java page time format for German (151.67 KB, image/png)
2009-01-21 16:19 EST, Preethi Thomas
no flags Details
time format for Perl page German (149.48 KB, image/png)
2009-01-21 16:20 EST, Preethi Thomas
no flags Details

  None (edit)
Description Issue Tracker 2008-09-08 09:07:52 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2008-09-08 09:07:54 EDT

Description of problem:
The times shown in the Satellite [ 5.1.1 ] is random and doesn't follow a standard method. For example if we choose the Interface Language as English the times are shown in 12 hour format whereas if we choose any other international language like German, French, Italian it is following 24 hour format

How reproducible:

Steps to Reproduce:
In Satellite 5.1.1 -> Your RHN -> Locale Preferences set Interface Language as "English". Now go to Systems -> <any system> -> check the time under 'System Events'. It would be shown in 12 hour format

Now go to Your RHN -> Locale Preferences set Interface Language as "German" and check the format under "System Events", it is in 24 hour format.

Actual results:
Random behaviour with occassional 24 hour format and 12 hour format based on the language choosen.

Expected results:
We should have all the times shown in either 12 hour or 24 hour format as a standard as long as there is no way in which we can set it to either of the options.

Additional info:
Customer actually needs English version with 24-hour clock format or Dutch version with 24-hour clock format and like to know how to set it.

Inititally I had a thought that it should be a feature request, but since the current behaviour is a random one I am not sure that it could be considered as a feature request.

Any advise is appreciated.

This event sent from IssueTracker by mpoole  [SEG - RHN]
 issue 218153
Comment 2 Martin Poole 2008-09-08 09:14:57 EDT
The problem with inconsistent displayed dates appears to be a simple difference between the java code and the older perl .pxt code.


With the locale preferences set for English.

 Viewing the overview for a system (Overview.do) has the dates of the system events as     "4/29/08 8:01:14 PM BST"

 going to the events for the system (history.pxt)

  "2008-04-29 20:01:14 BST"
Comment 3 Clifford Perry 2008-09-09 11:15:40 EDT
Adding to Sep Customer backlog tracking bug.
Comment 4 Shannon Hughes 2008-09-16 14:06:12 EDT
modified perl sub routine to match the java format.
Comment 5 Shannon Hughes 2008-12-02 15:29:34 EST
mass move to qa
Comment 6 Preethi Thomas 2008-12-12 11:48:39 EST
Created attachment 326739 [details]
system time display - English
Comment 7 Preethi Thomas 2008-12-12 11:49:38 EST
Created attachment 326740 [details]
system time display - French
Comment 8 Preethi Thomas 2008-12-12 11:50:30 EST
Created attachment 326741 [details]
system time display - German
Comment 9 Preethi Thomas 2008-12-12 11:51:50 EST
Looks like this hasn't been fixed.
See the above screen shots.
Comment 10 Shannon Hughes 2008-12-16 10:53:22 EST
adding a detailed test plan. this is a test between the perl and java pages. 

0) if you want to test other country times feel free to change your locale preferences under the overview tab. this is an optional step. 
1) open up your browser to the overview page as you have done in the screen shots. 
2) open up another browser tab and go to the system events. the history events is a good example. notice the url has a pxt ending which denotes the perl stack. 
3) compare the dates on the perl event page and the java overview page. they should match in format.
Comment 14 Shannon Hughes 2009-01-26 15:14:35 EST
sorry, should have mentioned that perl side supports english only. if you try german then perl and java pages will differ.
Comment 17 Brandon Perkins 2009-09-10 16:28:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.